AscioServices services = new AscioServices();



owner =  new Registrant();
owner.FirstName = "John";
owner.LastName = "Doe";
owner.Address1 = "Address1Test";
owner.City = "CityTest";
owner.PostalCode = "888349";
owner.CountryCode = "DK";
owner.Email = "administrator@ascio-test-domain.com"


admin =  new Contact();
admin.FirstName = "John";
admin.LastName = "Doe";
admin.Address1 = "Address1Test";
admin.City = "CityTest";
admin.PostalCode = "888349";
admin.CountryCode = "DK";
admin.Email = "administrator@ascio-test-domain.com"


tech =  new Contact();
tech.FirstName = "John";
tech.LastName = "Doe";
tech.Address1 = "Address1Test";
tech.City = "CityTest";
tech.PostalCode = "888349";
tech.CountryCode = "DK";
tech.Email = "administrator@ascio-test-domain.com"


billing =  new Contact();
billing.FirstName = "John";
billing.LastName = "Doe";
billing.Address1 = "Address1Test";
billing.City = "CityTest";
billing.PostalCode = "888349";
billing.CountryCode = "DK";
billing.Email = "administrator@ascio-test-domain.com"


reseller =  new Contact();
reseller.FirstName = "John";
reseller.LastName = "Doe";
reseller.Address1 = "Address1Test";
reseller.City = "CityTest";
reseller.PostalCode = "888349";
reseller.CountryCode = "DK";
reseller.Email = "administrator@ascio-test-domain.com"


defensive =  new Defensive();
defensive.Handle = "JD123";
defensive.Name = "ascio-is-great.com";
defensive.MarkHandle = "MarkHandleTest";
defensive.AuthInfo = "X4FF!zu";
defensive.Encoding = "EncodingTest";
defensive.Owner = owner;
defensive.Admin = admin;
defensive.Tech = tech;
defensive.Billing = billing;
defensive.Reseller = reseller;
defensive.ObjectComment = "Example Object Comment";


request =  new DefensiveOrderRequest();
request.Type = OrderType::Register;
request.Period = 1;
request.TransactionComment = "TransactionCommentTest";
request.Comments = "CommentsTest";
request.Documentation = "DocumentationTest";
request.Options = "OptionsTest";
request.Defensive = defensive;
request.AgreedPrice = 1;

Response response = services.CreateOrder("mySessionId", ref request);
if (response.ResultCode == 200) {
	Console.WriteLine("My new orderId is : " + request.OrderId);
} else {
	if (response.Values != null) {
		Console.WriteLine(String.Join(",", response.Values));
	}
}