package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetContactExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getContactResultHolder = new ResponseHolder();
			ContactHolder contactHolder = new ContactHolder();

			env.getClient().getContact(env.getSessionId(), "contactHandleTest", getContactResultHolder, contactHolder);

			Response response = getContactResultHolder.value;

			System.out.println("GetContact ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetContact Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}