package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetDnsSecKeyExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getDnsSecKeyResultHolder = new ResponseHolder();
			DnsSecKeyHolder dnsSecKeyHolder = new DnsSecKeyHolder();

			env.getClient().getDnsSecKey(env.getSessionId(), "dnsSecKeyHandleTest", getDnsSecKeyResultHolder, dnsSecKeyHolder);

			Response response = getDnsSecKeyResultHolder.value;

			System.out.println("GetDnsSecKey ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetDnsSecKey Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}