package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetMessageQueueExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getMessageQueueResultHolder = new ResponseHolder();
			QueueItemHolder itemHolder = new QueueItemHolder();

			env.getClient().getMessageQueue(env.getSessionId(), 1, getMessageQueueResultHolder, itemHolder);

			Response response = getMessageQueueResultHolder.value;

			System.out.println("GetMessageQueue ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetMessageQueue Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}