package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetOrderExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getOrderResultHolder = new ResponseHolder();
			OrderHolder orderHolder = new OrderHolder();

			env.getClient().getOrder(env.getSessionId(), "orderIdTest", getOrderResultHolder, orderHolder);

			Response response = getOrderResultHolder.value;

			System.out.println("GetOrder ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetOrder Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}