package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetRegistrantVerificationStatusExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getRegistrantVerificationStatusResultHolder = new ResponseHolder();
			RegistrantVerificationStatusHolder verificationStatusHolder = new RegistrantVerificationStatusHolder();

			env.getClient().getRegistrantVerificationStatus(env.getSessionId(), "administrator@ascio-test-domain.com", getRegistrantVerificationStatusResultHolder, verificationStatusHolder);

			Response response = getRegistrantVerificationStatusResultHolder.value;

			System.out.println("GetRegistrantVerificationStatus ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetRegistrantVerificationStatus Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}