package ascio.v2.examples;
import java.util.Calendar;
import com.ascio.www._2007._01.*;


public class RegistrantVerificationInfoExample {
	public static RegistrantVerificationInfo main() {
				String fileContentString = "abc123";


		Attachment attachment =  new Attachment();
		attachment.setData(fileContentString.getBytes());
		attachment.setFileName("anything.jpg");

		Attachment[] attachments = new Attachment[]{attachment};



		Message message =  new Message();
		message.setAttachments(attachments);
		message.setBody("BodyTest");
		message.setCreated(Calendar.getInstance());
		message.setFromAddress("administrator@ascio-test-domain.com");
		message.setSubject("base64-encoded or 7 Bit ASCII");
		message.setToAddress("ToAddressTest");
		message.setType(MessageType.Message_to_Partner);

		Message[] messages = new Message[]{message};



		RegistrantVerificationDetails verificationDetails =  new RegistrantVerificationDetails();
		verificationDetails.setVerifiedBy("1.1.1.1");
		verificationDetails.setVerificationDate(Calendar.getInstance());
		verificationDetails.setMessages(messages);


		RegistrantVerificationInfo registrantVerificationInfo =  new RegistrantVerificationInfo();
		registrantVerificationInfo.setEmailAddress("EmailAddressTest");
		registrantVerificationInfo.setVerificationStatus(RegistrantVerificationStatus.Unverified);
		registrantVerificationInfo.setVerificationDetails(verificationDetails);

		return registrantVerificationInfo;

	}
}