package ascio.v2.examples;
import com.ascio.www._2007._01.*;

import ascio.lib.*;

public class ValidateOrderExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		Domain domain =  new Domain();



		Order order =  new Order();
		order.setType(OrderType.NotSet);
		order.setDomain(domain);


		try {

			Response response = env.getClient().validateOrder(env.getSessionId(), order);


			System.out.println("ValidateOrder ResultCode\t: " + response.getResultCode().toString());
			System.out.println("ValidateOrder Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}