package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class AckQueueMessageExample {
	public static AckQueueMessageResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		AckQueueMessageRequest request =  new AckQueueMessageRequest();
		request.setMessageId(1);


		try {
			AckQueueMessageResponse response = env.getClient().ackQueueMessage(request);			
			System.out.println("response\n");
			System.out.println("AckQueueMessage Code\t:" + response.getResultCode());
			System.out.println("AckQueueMessage Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new AckQueueMessageResponse();

	}
}