package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class GetQueueMessageExample {
	public static GetQueueMessageResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		GetQueueMessageRequest request =  new GetQueueMessageRequest();
		request.setMessageId(1);


		try {
			GetQueueMessageResponse response = env.getClient().getQueueMessage(request);			
			System.out.println("response\n");
			System.out.println("GetQueueMessage Code\t:" + response.getResultCode());
			System.out.println("GetQueueMessage Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new GetQueueMessageResponse();

	}
}