AscioServices services = new AscioServices();



autoInstallSsl =  new AutoInstallSsl();
autoInstallSsl.Handle = "JD123";
autoInstallSsl.CommonName = "ascio-test-domain.com";
autoInstallSsl.ProductCode = "positivessl";
autoInstallSsl.Email = "administrator@ascio-test-domain.com"
autoInstallSsl.SanCount = 1;
autoInstallSsl.ObjectComment = "Example Object Comment";


request =  new AutoInstallSslOrderRequest();
request.Type = OrderType::Register;
request.Period = 1;
request.TransactionComment = "TransactionCommentTest";
request.Comments = "CommentsTest";
request.Documentation = "DocumentationTest";
request.Options = "OptionsTest";
request.AutoInstallSsl = autoInstallSsl;

Response response = services.CreateOrder("mySessionId", ref request);
if (response.ResultCode == 200) {
	Console.WriteLine("My new orderId is : " + request.OrderId);
} else {
	if (response.Values != null) {
		Console.WriteLine(String.Join(",", response.Values));
	}
}