package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetMessagesExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getMessagesResultHolder = new ResponseHolder();
			ArrayOfMessageHolder messagesHolder = new ArrayOfMessageHolder();

			env.getClient().getMessages(env.getSessionId(), "orderIdTest", getMessagesResultHolder, messagesHolder);

			Response response = getMessagesResultHolder.value;

			System.out.println("GetMessages ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetMessages Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}