package ascio.v3.examples;
import java.util.Calendar;
import com.ascio.www._2013._02.*;

public class MarkInfoExample {
	public static MarkInfo main() {
		

		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);

		ExtensionsKeyValue markExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};



		TreatyOrStatuteMark mark =  new TreatyOrStatuteMark();
		mark.setHandle("JD123");
		mark.setMarkName("MarkNameTest");
		mark.setMarkId("MarkIdTest");
		mark.setAuthInfo("X4FF!zu");
		mark.setServiceType(MarkServiceType.Standard);
		mark.setGoodsAndServicesDescription("GoodsAndServicesDescriptionTest");
		mark.setLabels(new String[]{"LabelsTest"});
		mark.setClaimEmailNotification1("ClaimEmailNotification1Test");
		mark.setClaimEmailNotification2("ClaimEmailNotification2Test");
		mark.setClaimEmailNotification3("ClaimEmailNotification3Test");
		mark.setClaimEmailNotification4("ClaimEmailNotification4Test");
		mark.setClaimEmailNotification5("ClaimEmailNotification5Test");
		mark.setNotificationFrequency(NotificationFrequencyType.Daily);
		mark.setOwner(owner);
		mark.setReseller(reseller);
		mark.setExtensions(markExtensions);
		mark.setTitle("TitleTest");
		mark.setReferenceNumber("ReferenceNumberTest");
		mark.setCountry("DK");
		mark.setRegion("RegionTest");
		mark.setProtectionDate(Calendar.getInstance());
		mark.setExecutionDate(Calendar.getInstance());


		MarkInfo markInfo =  new MarkInfo();
		markInfo.setCreated(Calendar.getInstance());
		markInfo.setExpires(Calendar.getInstance());
		markInfo.setMark(mark);
		markInfo.setSmd("SmdTest");

		return markInfo;

	}
}