package ascio.v3.examples;
import java.util.Calendar;
import com.ascio.www._2013._02.*;

public class TreatyOrStatuteMarkExample {
	public static TreatyOrStatuteMark main() {
		

		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);

		ExtensionsKeyValue treatyOrStatuteMarkExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};



		TreatyOrStatuteMark treatyOrStatuteMark =  new TreatyOrStatuteMark();
		treatyOrStatuteMark.setHandle("JD123");
		treatyOrStatuteMark.setMarkName("MarkNameTest");
		treatyOrStatuteMark.setMarkId("MarkIdTest");
		treatyOrStatuteMark.setAuthInfo("X4FF!zu");
		treatyOrStatuteMark.setServiceType(MarkServiceType.Standard);
		treatyOrStatuteMark.setGoodsAndServicesDescription("GoodsAndServicesDescriptionTest");
		treatyOrStatuteMark.setLabels(new String[]{"LabelsTest"});
		treatyOrStatuteMark.setClaimEmailNotification1("ClaimEmailNotification1Test");
		treatyOrStatuteMark.setClaimEmailNotification2("ClaimEmailNotification2Test");
		treatyOrStatuteMark.setClaimEmailNotification3("ClaimEmailNotification3Test");
		treatyOrStatuteMark.setClaimEmailNotification4("ClaimEmailNotification4Test");
		treatyOrStatuteMark.setClaimEmailNotification5("ClaimEmailNotification5Test");
		treatyOrStatuteMark.setNotificationFrequency(NotificationFrequencyType.Daily);
		treatyOrStatuteMark.setOwner(owner);
		treatyOrStatuteMark.setReseller(reseller);
		treatyOrStatuteMark.setExtensions(treatyOrStatuteMarkExtensions);
		treatyOrStatuteMark.setTitle("TitleTest");
		treatyOrStatuteMark.setReferenceNumber("ReferenceNumberTest");
		treatyOrStatuteMark.setCountry("DK");
		treatyOrStatuteMark.setRegion("RegionTest");
		treatyOrStatuteMark.setProtectionDate(Calendar.getInstance());
		treatyOrStatuteMark.setExecutionDate(Calendar.getInstance());

		return treatyOrStatuteMark;

	}
}