var soap = require("soap");

var registerDomainOrderRequestExample = function(callback) {


	//Registrant
	owner =  {};
	owner.FirstName="John";
	owner.LastName="Doe";
	owner.Address1="Address1Test";
	owner.City="CityTest";
	owner.PostalCode="888349";
	owner.CountryCode="DK";
	owner.Phone="+45.123456789";
	owner.Email="administrator@ascio-test-domain.com";


	//Contact
	admin =  {};
	admin.FirstName="John";
	admin.LastName="Doe";
	admin.Address1="Address1Test";
	admin.City="CityTest";
	admin.PostalCode="888349";
	admin.CountryCode="DK";
	admin.Phone="+45.123456789";
	admin.Email="administrator@ascio-test-domain.com";


	//Contact
	tech =  {};
	tech.FirstName="John";
	tech.LastName="Doe";
	tech.Address1="Address1Test";
	tech.City="CityTest";
	tech.PostalCode="888349";
	tech.CountryCode="DK";
	tech.Phone="+45.123456789";
	tech.Email="administrator@ascio-test-domain.com";


	//Contact
	billing =  {};
	billing.FirstName="John";
	billing.LastName="Doe";
	billing.Address1="Address1Test";
	billing.City="CityTest";
	billing.PostalCode="888349";
	billing.CountryCode="DK";
	billing.Phone="+45.123456789";
	billing.Email="administrator@ascio-test-domain.com";


	//Contact
	reseller =  {};
	reseller.FirstName="John";
	reseller.LastName="Doe";
	reseller.Address1="Address1Test";
	reseller.City="CityTest";
	reseller.PostalCode="888349";
	reseller.CountryCode="DK";
	reseller.Phone="+45.123456789";
	reseller.Email="administrator@ascio-test-domain.com";


	//NameServer
	nameServer1 =  {};
	nameServer1.HostName="ns1.ascio.net";


	//NameServer
	nameServer2 =  {};
	nameServer2.HostName="ns2.ascio.net";


	//NameServer
	nameServer3 =  {};
	nameServer3.HostName="ns3.ascio.net";


	//NameServer
	nameServer4 =  {};
	nameServer4.HostName="ns4.ascio.net";


	//NameServers
	nameServers =  {};
	nameServers.NameServer1=nameServer1;
	nameServers.NameServer2=nameServer2;
	nameServers.NameServer3=nameServer3;
	nameServers.NameServer4=nameServer4;


	//DomainTradeMark
	trademark =  {};
	trademark.Name="ascio-is-great.com";
	trademark.Country="DK";
	trademark.Date="2021-11-23T13:48:36.887+01:00";
	trademark.Number="NumberTest";
	trademark.Type="owner";
	trademark.Contact="ContactTest";
	trademark.ContactLanguage="ContactLanguageTest";
	trademark.DocumentationLanguage="DocumentationLanguageTest";
	trademark.SecondContact="SecondContactTest";
	trademark.ThirdContact="ThirdContactTest";
	trademark.RegDate="2021-11-23T13:48:36.887+01:00";


	//DnsSecKey
	dnsSecKey1 =  {};
	dnsSecKey1.Handle="JD123";


	//DnsSecKey
	dnsSecKey2 =  {};
	dnsSecKey2.Handle="JD123";


	//DnsSecKeys
	dnsSecKeys =  {};
	dnsSecKeys.DnsSecKey1=dnsSecKey1;
	dnsSecKeys.DnsSecKey2=dnsSecKey2;


	//KeyValue
	keyValue =  {};
	keyValue.Key="Title";
	keyValue.Value="Mr.";


	//Extensions
	privacyProxyExtensions =  [{

	}]


	//PrivacyProxy
	privacyProxy =  {};
	privacyProxy.Type="None";
	privacyProxy.PrivacyAdmin=false;
	privacyProxy.PrivacyTech=false;
	privacyProxy.PrivacyBilling=false;
	privacyProxy.Extensions=privacyProxyExtensions;


	//Domain
	domain =  {};
	domain.Name="ascio-is-great.com";
	domain.Handle="JD123";
	domain.RenewPeriod=1;
	domain.AuthInfo="X4FF!zu";
	domain.EncodingType="EncodingTypeTest";
	domain.DomainPurpose="DomainPurposeTest";
	domain.Comment="CommentTest";
	domain.TransferLock="Unlock";
	domain.DeleteLock="Unlock";
	domain.UpdateLock="Unlock";
	domain.QueueType="QueueTypeTest";
	domain.Owner=owner;
	domain.Admin=admin;
	domain.Tech=tech;
	domain.Billing=billing;
	domain.Reseller=reseller;
	domain.NameServers=nameServers;
	domain.Trademark=trademark;
	domain.DnsSecKeys=dnsSecKeys;
	domain.PrivacyProxy=privacyProxy;
	domain.DomainType="DomainTypeTest";
	domain.DiscloseSocialData="true";
	domain.LocalPresence=false;


	//DomainOrderRequest
	request =  
                    {
                        attributes: {
                            xsi_type: {
                                type: "http://www.ascio.com/2013/02",
                                xmlns: "DomainOrderRequest"
                            }
                        }
                    };
	request.Type="Register";
	request.Period=1;
	request.TransactionComment="TransactionCommentTest";
	request.Comments="CommentsTest";
	request.Documentation="DocumentationTest";
	request.Options="OptionsTest";
	request.Domain=domain;
	request.AgreedPrice=1;
	
	soap.createClient("https://aws.demo.ascio.com/v3/aws.wsdl", function(err, client) {
		if(err) {
			callback(err);
		} 
		else {
			const header = {
				SecurityHeaderDetails : {
					Account: "ascio-account",
					Password: "mypassword123"
				}			
			};
			const ns="http://www.ascio.com/2013/02";
			client.addSoapHeader(header, ns, "q1");
			client.CreateOrder({request: request}, function(err,result) {
				if(err) {
					callback({error: err , request : result.request.body});
				} else {
					if(result.CreateOrderResult.ResultCode < 400) {
						callback(null,result);	
					} else {
						callback({error: result.CreateOrderResult,request : request});
					}	
				}
			});

		};
	});
};
registerDomainOrderRequestExample(function(err,result) {
	if(err) {
		console.log("\n\n Request \n\n",err.request, "\n\n Response \n\n" ,err.error,"\n");
	}
	else {
		console.log(result);
	}
});