<?php
$wsdl = "https://aws.demo.ascio.com/v3/aws.wsdl";
//$wsdl = "https://aws.ascio.com/v3/aws.wsdl";
$client = new SoapClient($wsdl,array( "trace" => 1, "soap_version" => SOAP_1_1));
$credentials = array("Account"=> "myaccount", "Password" => "mypassword");
$header = new \SoapHeader("http://www.ascio.com/2013/02","SecurityHeaderDetails", $credentials, false);
$client->__setSoapHeaders($header);

//Registrant

$owner =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$admin =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$tech =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$billing =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Email" => "administrator@ascio-test-domain.com"
];

//Contact

$reseller =  [
	"FirstName" => "John",
	"LastName" => "Doe",
	"Address1" => "Address1Test",
	"City" => "CityTest",
	"PostalCode" => "888349",
	"CountryCode" => "DK",
	"Email" => "administrator@ascio-test-domain.com"
];

//Defensive

$defensive =  [
	"Handle" => "JD123",
	"Name" => "ascio-is-great.com",
	"MarkHandle" => "MarkHandleTest",
	"AuthInfo" => "X4FF!zu",
	"Encoding" => "EncodingTest",
	"Owner" => $owner,
	"Admin" => $admin,
	"Tech" => $tech,
	"Billing" => $billing,
	"Reseller" => $reseller,
	"ObjectComment" => "Example Object Comment"
];

//DefensiveOrderRequest

$request =  [
	"Type" => "Register",
	"Period" => 1,
	"TransactionComment" => "TransactionCommentTest",
	"Comments" => "CommentsTest",
	"Documentation" => "DocumentationTest",
	"Options" => "OptionsTest",
	"Defensive" => $defensive,
	"AgreedPrice" => 1
];

//CreateOrder

$createOrder =  [
	"request" => new SoapVar($request, SOAP_ENC_OBJECT, "DefensiveOrderRequest", "http://www.ascio.com/2013/02","request","http://www.ascio.com/2013/02/AscioService")
];

try{	
    $result = $client->createOrder($createOrder);
    echo "ResultCode : ".$result->CreateOrderResult->ResultCode."\r\n";
    echo "ResultMessage : ".$result->CreateOrderResult->ResultMessage."\r\n";
    if(is_array($result->CreateOrderResult->Errors->string)) {
        echo "Errors:\r\n";
        foreach($result->CreateOrderResult->Errors->string as $key => $value) {
            echo " - " . $value."\r\n";
        }
    }
} catch(Exception $e) {
	echo $e->getMessage(); 
}

